Post-Edit Compare non compatible with SDL Trados Studio 2019 SR1 (15.1.2.48878)?

Hello,

I would like to install Post-Edit compare but it seems that it is not compatible with the latest version of Studio 2019 (it is greyed out as you can see from the screenshot below):



Is a new version planned soon for our release?

Thanks a lot,

Alessia